package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "RiwayatPendidikanNonFormal_T")
public class RiwayatPendidikanNonFormal extends BaseTransaction{
	
	@Column(name = "jenisKursus")
	@Caption(value = "Jenis Kursus")
	private String jenisKursus;
	
	@ManyToOne
	@JoinColumn(name = "PengkajianAwalPsikologiFk")
	@NotNull(message = "Pengkajian Awal Psikologi tidak boleh kosong")
	private PengkajianAwalPsikologi pengkajianAwalPsikologi;
	
	@Column(name = "keterangan")
	@Caption(value = "Keterangan")
	private String keterangan;

	public String getJenisKursus() {
		return jenisKursus;
	}

	public void setJenisKursus(String jenisKursus) {
		this.jenisKursus = jenisKursus;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public PengkajianAwalPsikologi getPengkajianAwalPsikologi() {
		return pengkajianAwalPsikologi;
	}

	public void setPengkajianAwalPsikologi(PengkajianAwalPsikologi pengkajianAwalPsikologi) {
		this.pengkajianAwalPsikologi = pengkajianAwalPsikologi;
	}
	
	
}
